Main Page Modules Data Structures File List Data Fields Globals Related Pages

# lib/tagName.c File Reference

More...

`#include "system.h"`
`#include <rpmlib.h>`
`#include "debug.h"`

Go to the source code of this file.

## Functions

const char *const | tagName (int tag)
| Return name of tag from value. More...
int | tagValue (const char *tagstr)
| Return value of tag from name. More...

## Detailed Description

Definition in file tagName.c.

## Function Documentation

const char* const tagName | ( | int | tag | ) |

Return name of tag from value.

Parameters:

  tag | tag value

Returns:
  name of tag

Definition at line 10 of file tagName.c.

References headerTagTableEntry_s::name, RPMDBI_ADDED, RPMDBI_AVAILABLE, RPMDBI_DEPENDS, RPMDBI_PACKAGES, RPMDBI_REMOVED, rpmTagTable, rpmTagTableSize, headerTagTableEntry_s::val, and xtolower.

Referenced by checkForDuplicates, checkForRequired, db1basename, db3close, db3New, db3open, dbiCclose, dbiClose, dbiCopen, dbiCount, dbiDel, dbiGet, dbiOpen, dbiPut, dbiSearch, dbiSync, dbiUpdateIndex, dbiVerify, i18nTag, printNewSpecfile, rpmdbAdd, rpmdbInitIterator, rpmdbMoveDatabase, rpmdbRemove, rpmdbRemoveDatabase, rpmHeaderGetEntry, and stashSt.

int tagValue | ( | const char * | tagstr | ) |

Return value of tag from name.

Parameters:

  tagstr | name of tag

Returns:
  tag value

Definition at line 53 of file tagName.c.

References headerTagTableEntry_s::name, RPMDBI_ADDED, RPMDBI_AVAILABLE, RPMDBI_DEPENDS, RPMDBI_PACKAGES, RPMDBI_REMOVED, rpmTagTable, headerTagTableEntry_s::val, and xstrcasecmp.

Referenced by dbiTagsInit.